com.io7m.jtensors

## Interface VectorWritable2IType

- All Known Subinterfaces:
    PVector2IType<T>, PVector3IType<T>, PVector4IType<T>, PVectorByteBuffered2IType<T>, PVectorByteBuffered3IType<T>, PVectorByteBuffered4IType<T>, PVectorWritable2IType<T>, PVectorWritable3IType<T>, PVectorWritable4IType<T>, Vector2IType, Vector3IType, Vector4IType, VectorByteBuffered2IType, VectorByteBuffered3IType, VectorByteBuffered4IType, VectorWritable3IType, VectorWritable4IType
  All Known Implementing Classes:
    PVectorByteBufferedM2I, PVectorByteBufferedM3I, PVectorByteBufferedM4I, PVectorM2I, PVectorM3I, PVectorM4I, VectorByteBufferedM2I, VectorByteBufferedM3I, VectorByteBufferedM4I, VectorM2I, VectorM3I, VectorM4I

      public interface VectorWritable2IType

  'Write' interface to two-dimensional vectors with integer elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom2I(VectorReadable2IType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set2I(int x, int y)` Set the current `x` and `y` values of the current vector.
    `void` | `setXI(int x)` Set the current `x` value of the current vector.
    `void` | `setYI(int y)` Set the current `y` value of the current vector.

- - ### Method Detail

    - #### copyFrom2I

          void copyFrom2I(VectorReadable2IType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set2I

          void set2I(int x,
                     int y)

      Set the current `x` and `y` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.

    - #### setXI

          void setXI(int x)

      Set the current `x` value of the current vector.
      Parameters:
        `x` - The new `x` value.

    - #### setYI

          void setYI(int y)

      Set the current `y` value of the current vector.
      Parameters:
        `y` - The new `y` value.

Copyright © 2016 <code@io7m.com> http://io7m.com